package com.taauav.admin.dto;

import lombok.Data;
import java.math.BigDecimal;
/**
 * 任务信息展示
 * @author dyg
 * @date 2019/11/22
 */
@Data
public class TauvInspectDriverDTO extends BaseInspectDriverDTO{
    /**
     * 飞行小组
     */
    private String flightGroup;
    private String flightGroupText;
    /**
     * 添加时间
     */
    private Integer createTime;
    private String formatCreateTime;
    /**
     * 添加人
     */
    private Integer createUser;
    private String formatCreateUser;
    /**
     * 状态
     */
    private Byte status;
    private String statusText;

    /**
     * 任务类型
     */
    private Byte type;
    private String typeText;

    /**
     * 期望巡检开始时间
     */
    private Integer inspectStartTime;
    private String formatInspectStartTime;

    /**
     * 期望巡检结束时间
     */
    private Integer inspectEndTime;
    private String formatInspectEndTime;

    /**
     * 巡检长度
     */
    private BigDecimal inspectLength;

    /**
     * 执行周期（如：每月10号）
     */
    private String executionCycle;

    /**
     * 报告创建时间
     */
    private String formatInputTime;

    /**
     * 河流起点
     */
    private String driverStart;

    /**
     * 河流终点
     */
    private String driverEnd;

    /**
     * 执行开始时间
     */
    private Integer executionStartTime;
    private String formatExecutionStartTime;

    /**
     * 执行结束时间
     */
    private Integer executionEndTime;
    private String formatExecutionEndTime;

    /**
     * 飞行时长
     */
    private BigDecimal flightTime;

    /**
     * 河道长度
     */
    private BigDecimal driverLength;
}
