package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TauvReportRemark implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 报告表编号
     */
    private Integer reportId;

    /**
     * 问题表编号
     */
    private Integer questionId;

    /**
     * 考核分
     */
    private Integer examineScore;

    /**
     * 校核分
     */
    private Integer checkScore;

    /**
     * 备注
     */
    private String remark;

    private Integer createTime;

    private Integer updateTime;

    private Boolean mark;


}
