package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvInspect;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 巡检任务表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface ITauvInspectService extends IService<TauvInspect> {
    /**
     * 添加任务
     * @param inspect
     * @return
     */
    Response addTask(TauvInspect inspect);
    /**
     * 根据编号获取数据
     * @param id
     * @return
     */
    TauvInspect getInfoById(Integer id);
}
