package com.taauav.common.core.mps;


public class Query{

    private Integer pageNum;

    private Integer pageSize;

    private String ascs;

    private String descs;

    public Query() {
    }

    public Integer getpageNum() {
        return this.pageNum;
    }

    public Integer getpageSize() {
        return this.pageSize;
    }

    public String getAscs() {
        return this.ascs;
    }

    public String getDescs() {
        return this.descs;
    }

    public Query setpageNum(final Integer pageNum) {
        this.pageNum = pageNum;
        return this;
    }

    public Query setpageSize(final Integer pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    public Query setAscs(final String ascs) {
        this.ascs = ascs;
        return this;
    }

    public Query setDescs(final String descs) {
        this.descs = descs;
        return this;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof Query)) {
            return false;
        } else {
            Query other = (Query)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label59: {
                    Object this$pageNum = this.getpageNum();
                    Object other$pageNum = other.getpageNum();
                    if (this$pageNum == null) {
                        if (other$pageNum == null) {
                            break label59;
                        }
                    } else if (this$pageNum.equals(other$pageNum)) {
                        break label59;
                    }

                    return false;
                }

                Object this$pageSize = this.getpageSize();
                Object other$pageSize = other.getpageSize();
                if (this$pageSize == null) {
                    if (other$pageSize != null) {
                        return false;
                    }
                } else if (!this$pageSize.equals(other$pageSize)) {
                    return false;
                }

                Object this$ascs = this.getAscs();
                Object other$ascs = other.getAscs();
                if (this$ascs == null) {
                    if (other$ascs != null) {
                        return false;
                    }
                } else if (!this$ascs.equals(other$ascs)) {
                    return false;
                }

                Object this$descs = this.getDescs();
                Object other$descs = other.getDescs();
                if (this$descs == null) {
                    if (other$descs != null) {
                        return false;
                    }
                } else if (!this$descs.equals(other$descs)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof Query;
    }

    @Override
    public int hashCode() {
        int result = 1;
        Object $pageNum = this.getpageNum();
        result = result * 59 + ($pageNum == null ? 43 : $pageNum.hashCode());
        Object $pageSize = this.getpageSize();
        result = result * 59 + ($pageSize == null ? 43 : $pageSize.hashCode());
        Object $ascs = this.getAscs();
        result = result * 59 + ($ascs == null ? 43 : $ascs.hashCode());
        Object $descs = this.getDescs();
        result = result * 59 + ($descs == null ? 43 : $descs.hashCode());
        return result;
    }
    @Override
    public String toString() {
        return "Query(pageNum=" + this.getpageNum() + ", pageSize=" + this.getpageSize() + ", ascs=" + this.getAscs() + ", descs=" + this.getDescs() + ")";
    }
}
